QGIS Application - Bug report #10570
Shapeburst fills reflects the map canvas edge when used with inverted polygons
2014-06-12 01:57 PM - Knut Karlsen

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18977
Description

Problem

The shapeburst fill | use to make a land polygon (inverted) into ocean gradient reflects the map composers edge in the map composer.

Expectation
The edge of the map composer window should not be considered when drawing the shape burst of an inverted polygon.

I'll update with an image of the case tomorrow.

History

#1 - 2014-06-12 02:10 PM - Nyall Dawson
- Category changed from Map Composer/Printing to Symbology
- Affected QGIS version changed from 2.2.0 to master

This is a result of #9757 - rendered polygons in QGIS are currently clipped to just outside the visible map extent. When #9757 is fixed this will also be fixed

as aresult.

#2 - 2014-06-12 11:33 PM - Knut Karlsen
- File shape_burst_reflection.png added

Thanks for the feedback. Here is the screenshot as promised. In the top area along the edges you can see the green to black gradient reflecting off the
composer edge.

#3 - 2014-06-14 02:14 AM - Nyall Dawson
- Subject changed from Shapeburst fills reflects the composer edge when used with inverted polygons to Shapeburst fills reflects the map canvas edge
when used with inverted polygons

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

shape_burst_reflection.png 192 KB 2014-06-12 Knut Karlsen
